path: /build/build/libmspub-app-text-0.1.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge app-text/libmspub -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps app-text/libmspub
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libmspub && luet-portage --dir /pkgdir/libmspub
    app-text/libmspub && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:718c47ce4b97f900b53b5493435e7fa6647bc912dea23f8139a577df86bc921a
  package:
    name: libmspub
    version: 0.1.4
    category: app-text
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Library parsing Microsoft Publisher documents
    uri:
    - https://wiki.documentfoundation.org/DLP/Libraries/libmspub
    license: LGPL-2.1
    buildtimestamp: 2023-10-06 12:27:44.280472621 +0000 UTC m=+141.633268404
    labels:
      BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
      DEPEND: dev-libs/icu:= dev-libs/librevenge sys-libs/zlib dev-libs/boost sys-devel/libtool
      IUSE: doc static-libs
      RDEPEND: dev-libs/icu:= dev-libs/librevenge sys-libs/zlib
      emerge.packages: app-text/libmspub
      kit: text-kit
      original.package.name: app-text/libmspub
      original.package.slot: "0"
      original.package.version: 0.1.4
    treedir: /build/packages
  package_dir: /pkgdir/libmspub
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 25f56eebe5e1a20ed8b76a5a8fc7a6698d3717b06575def9e9cba2c69028f5bc
compressiontype: zstd
files:
- usr/bin/pub2raw
- usr/bin/pub2xhtml
- usr/include/libmspub-0.1/libmspub/MSPUBDocument.h
- usr/include/libmspub-0.1/libmspub/libmspub.h
- usr/lib64/libmspub-0.1.so
- usr/lib64/libmspub-0.1.so.1
- usr/lib64/libmspub-0.1.so.1.0.4
- usr/lib64/pkgconfig/libmspub-0.1.pc
- usr/share/doc/libmspub-0.1.4/AUTHORS.bz2
- usr/share/doc/libmspub-0.1.4/ChangeLog.bz2
- usr/share/doc/libmspub-0.1.4/NEWS.bz2
- usr/share/doc/libmspub-0.1.4/README.bz2
- var/db/pkg/app-text/libmspub-0.1.4/BDEPEND
- var/db/pkg/app-text/libmspub-0.1.4/BUILD_TIME
- var/db/pkg/app-text/libmspub-0.1.4/CATEGORY
- var/db/pkg/app-text/libmspub-0.1.4/CBUILD
- var/db/pkg/app-text/libmspub-0.1.4/CFLAGS
- var/db/pkg/app-text/libmspub-0.1.4/CHOST
- var/db/pkg/app-text/libmspub-0.1.4/CONTENTS
- var/db/pkg/app-text/libmspub-0.1.4/COUNTER
- var/db/pkg/app-text/libmspub-0.1.4/CXXFLAGS
- var/db/pkg/app-text/libmspub-0.1.4/DEFINED_PHASES
- var/db/pkg/app-text/libmspub-0.1.4/DEPEND
- var/db/pkg/app-text/libmspub-0.1.4/DESCRIPTION
- var/db/pkg/app-text/libmspub-0.1.4/EAPI
- var/db/pkg/app-text/libmspub-0.1.4/FEATURES
- var/db/pkg/app-text/libmspub-0.1.4/HOMEPAGE
- var/db/pkg/app-text/libmspub-0.1.4/INHERITED
- var/db/pkg/app-text/libmspub-0.1.4/IUSE
- var/db/pkg/app-text/libmspub-0.1.4/IUSE_EFFECTIVE
- var/db/pkg/app-text/libmspub-0.1.4/KEYWORDS
- var/db/pkg/app-text/libmspub-0.1.4/LDFLAGS
- var/db/pkg/app-text/libmspub-0.1.4/LICENSE
- var/db/pkg/app-text/libmspub-0.1.4/NEEDED
- var/db/pkg/app-text/libmspub-0.1.4/PF
- var/db/pkg/app-text/libmspub-0.1.4/PROVIDES
- var/db/pkg/app-text/libmspub-0.1.4/RDEPEND
- var/db/pkg/app-text/libmspub-0.1.4/REQUIRES
- var/db/pkg/app-text/libmspub-0.1.4/SIZE
- var/db/pkg/app-text/libmspub-0.1.4/SLOT
- var/db/pkg/app-text/libmspub-0.1.4/USE
- var/db/pkg/app-text/libmspub-0.1.4/environment.bz2
- var/db/pkg/app-text/libmspub-0.1.4/libmspub-0.1.4.ebuild
- var/db/pkg/app-text/libmspub-0.1.4/repository
package_cacheimage: ""
runtime:
  name: libmspub
  version: 0.1.4
  category: app-text
  use_flags:
  - -doc
  requires:
  - name: icu
    version: '>=0'
    category: dev-libs
  - name: librevenge
    version: '>=0'
    category: dev-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Library parsing Microsoft Publisher documents
  uri:
  - https://wiki.documentfoundation.org/DLP/Libraries/libmspub
  license: LGPL-2.1
  labels:
    BDEPEND: virtual/pkgconfig doc? ( app-doc/doxygen )
    DEPEND: dev-libs/icu:= dev-libs/librevenge sys-libs/zlib dev-libs/boost sys-devel/libtool
    IUSE: doc static-libs
    RDEPEND: dev-libs/icu:= dev-libs/librevenge sys-libs/zlib
    emerge.packages: app-text/libmspub
    kit: text-kit
    original.package.name: app-text/libmspub
    original.package.slot: "0"
    original.package.version: 0.1.4
